//
//  ViewController.m
//  WebTest2
//
//  Created by Jonathan Saggau on 6/15/15.
//  Copyright © 2015 Enharmonic. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UIScrollViewDelegate>

@property(nonatomic, weak)IBOutlet UIWebView *webView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    NSAssert(self.webView != nil, @"Check IB -- Wire-up the web view.");

    NSString *path = [[NSBundle mainBundle] pathForResource:@"IMSLP00008-Beethoven__L.v._-_Piano_Sonata_08" ofType:@"pdf"];
    NSData *data = [NSData dataWithContentsOfFile:path];
    [self.webView loadData:data MIMEType:@"application/pdf" textEncodingName:@"utf-8" baseURL:[NSURL URLWithString:@""]];

    /*
    [self.webView.scrollView setDelegate:self];
     */
}

/*
- (void)scrollViewDidScroll:(UIScrollView *)scrollView;
{
    NSLog(@"%@ %@ %@", self, NSStringFromSelector(_cmd), scrollView);
}

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView;
{
    NSLog(@"%@ %@ %@", self, NSStringFromSelector(_cmd), scrollView);
    UIView *viewForZooming = nil;
    if ([self.webView respondsToSelector:_cmd])
    {
        viewForZooming = [self.webView viewForZoomingInScrollView:scrollView];
    }
    return viewForZooming;
}
*/

@end
